Verdocs - Developer Documentation
ReferenceRest APIAPI DocumentationEnvelopes

List envelopes

GET
/v2/envelopes

Query Parameters

q?string

Match envelopes whose name contains this string

view?string

Request pre-defined view. inbox returns envelopes where action is required by the caller. sent returns envelopes created by the caller. action returns envelopes where action is required by the caller. waiting returns envelopes where action is required by anyone. completed returns envelopes where all actions are complete.

Value in"inbox" | "sent" | "action" | "waiting" | "completed"
status?array<>

Match envelopes in one of the specified states.

include_org?boolean

If true, include organizations-shared envelopes

Default"false"
template_id?string

Match envelopes created from the specified template ID

Formatuuid
created_before?string

Match envelopes created before this date

Formatdate
created_after?string

Match envelopes created after this date

Formatdate
sort_by?string

Return results sorted by this criteria

Value in"name" | "created_at" | "updated_at" | "canceled_at" | "status"
ascending?boolean

Set true/false to override the sort direction. Note that the default depends on sort_by. Date-based sorts default to descending, while name and status default to ascending.

rows?integer

Limit the number of rows returned

Default20
page?integer

Specify which page of results to return

Default0

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.verdocs.com/v2/envelopes"
{
  "count": 0,
  "rows": 0,
  "page": 0,
  "envelopes": [
    {
      "canceled_at": "string",
      "created_at": "string",
      "data": "string",
      "documents": "string",
      "expires_at": "string",
      "followup_reminders": "string",
      "id": "string",
      "initial_reminder": "string",
      "max_reminder_days": 0,
      "name": "string",
      "next_reminder": "string",
      "no_contact": true,
      "organization_id": "string",
      "profile_id": "string",
      "sender_email": "string",
      "sender_name": "string",
      "signed": true,
      "status": "string",
      "template_id": "string",
      "updated_at": "string",
      "visibility": "string"
    }
  ]
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}